INTEL_AUX_DISPLAY_RU(9)

NAME
intel_aux_display_runtime_get - grab an auxilliary power domain reference

SYNOPSIS

void intel_aux_display_runtime_get(struct drm_i915_private * dev_priv);

ARGUMENTS

dev_priv
    i915 device instance

DESCRIPTION

This function grabs a power domain reference for the auxiliary power domain (for access to the GMBUS and DP AUX blocks) and ensures that it and all its parents are powered up. Therefore users should only grab a reference to the innermost power domain they need.

Any power domain reference obtained by this function must have a symmetric call to intel_aux_display_runtime_put to release the reference again.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT